"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkThatHasAtLestOneRequiredKeys = exports.checkRequiredKeys = void 0;
const objectContainsKey = (obj, key) => typeof obj[key] === 'string' && obj[key].length > 0;
const checkRequiredKeys = (obj, requiredKeys) => requiredKeys.filter((key) => !objectContainsKey(obj, key));
exports.checkRequiredKeys = checkRequiredKeys;
const checkThatHasAtLestOneRequiredKeys = (obj, keys) => keys.some((key) => objectContainsKey(obj, key)) ? [] : [keys.join('/')];
exports.checkThatHasAtLestOneRequiredKeys = checkThatHasAtLestOneRequiredKeys;
//# sourceMappingURL=config_commons.js.map