import { ConnectionCleanUp, DbProviders, IConfigValidator, IDatabaseOperations, IDataProvider, ISchemaProvider } from '@wix-velo/velo-external-db-types';
export default class DbConnector {
    initialized: boolean;
    configValidatorProvider: any;
    init: (config: any, ...args: any) => Promise<DbProviders<any>> | DbProviders<any>;
    dataProvider: IDataProvider;
    schemaProvider: ISchemaProvider;
    databaseOperations: IDatabaseOperations;
    connection: any;
    cleanup: ConnectionCleanUp;
    configValidator: IConfigValidator;
    type: string;
    constructor(configValidator: any, init: (config: any, ...args: any) => Promise<DbProviders<any>> | DbProviders<any>);
    initialize(config: any, options: any): Promise<{
        dataProvider: IDataProvider;
        schemaProvider: ISchemaProvider;
        databaseOperations: IDatabaseOperations;
        connection: any;
        cleanup: ConnectionCleanUp;
    }>;
}
